Package org.apache.commons.lang3

## Interface Functions.FailableRunnable<T extends java.lang.Throwable>

Type Parameters:
  `T` - Thrown exception.

Enclosing class:
  Functions

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @Deprecated
    @FunctionalInterface
    public static interface Functions.FailableRunnable<T extends java.lang.Throwable>

Deprecated.
Use `FailableRunnable`.
A functional interface like `Runnable` that declares a `Throwable`.

TODO for 4.0: Move to org.apache.commons.lang3.function.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `run()` Deprecated. Runs the function.

### Method Detail

#### run

    void run()
      throws T extends java.lang.Throwable

Deprecated.
Runs the function.

Throws:
  `T` - Thrown when the function fails.
  `T extends java.lang.Throwable`